nn.pp.audiocore

## Enum AudioEventListener.DeviceState

- java.lang.Object
- - java.lang.Enum<AudioEventListener.DeviceState>
  - - nn.pp.audiocore.AudioEventListener.DeviceState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AudioEventListener.DeviceState>
  Enclosing interface:
    AudioEventListener

      public static enum AudioEventListener.DeviceState
      extends java.lang.Enum<AudioEventListener.DeviceState>

  Enumeration for audio device states

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCONNECTED` The device is not or not yet connected
    `MUTED` The device is currently muted
    `PLAYING` The device is un-muted (playing or recording audio)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AudioEventListener.DeviceState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AudioEventListener.DeviceState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCONNECTED

          public static final AudioEventListener.DeviceState DISCONNECTED

      The device is not or not yet connected

    - #### MUTED

          public static final AudioEventListener.DeviceState MUTED

      The device is currently muted

    - #### PLAYING

          public static final AudioEventListener.DeviceState PLAYING

      The device is un-muted (playing or recording audio)

  - ### Method Detail

    - #### values

          public static AudioEventListener.DeviceState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioEventListener.DeviceState c : AudioEventListener.DeviceState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioEventListener.DeviceState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.